Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045035
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajorhave not tried2020-09-11 11:172020-09-24 16:11
ReporterjavietxeView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045035: Transactions for safe boxes are created in the * organization

DescriptionWhen having a problem in a cashup for safe boxes, the retry fails because the context is not being set with the organization of the cashup.
 
2020-09-11 09:42:20,452 [http-nio-8080-exec-8] ERROR org.openbravo.retail.posterminal.POSDataSynchronizationErrorHandler - Error while loading order
org.openbravo.base.exception.OBSecurityException: Entity FIN_Finacc_Transaction may not have instances with organization *
    at org.openbravo.base.validation.AccessLevelChecker.failOnZeroOrg(AccessLevelChecker.java:113) ~[classes/:?]
    at org.openbravo.base.validation.AccessLevelChecker$3.checkAccessLevel(AccessLevelChecker.java:77) ~[classes/:?]
    at org.openbravo.base.model.Entity.checkAccessLevel(Entity.java:344) ~[classes/:?]
    at org.openbravo.dal.security.SecurityChecker.checkWriteAccess(SecurityChecker.java:178) ~[classes/:?]
    at org.openbravo.dal.security.SecurityChecker.checkWriteAccess(SecurityChecker.java:107) ~[classes/:?]
    at org.openbravo.dal.core.OBInterceptor.doEvent(OBInterceptor.java:351) ~[classes/:?]
    at org.openbravo.dal.core.OBInterceptor.onSave(OBInterceptor.java:231) ~[classes/:?]
    at org.hibernate.event.internal.AbstractSaveEventListener.substituteValuesIfNecessary(AbstractSaveEventListener.java:391) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate(AbstractSaveEventListener.java:271) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.AbstractSaveEventListener.performSave(AbstractSaveEventListener.java:196) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId(AbstractSaveEventListener.java:139) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedId(DefaultSaveOrUpdateEventListener.java:192) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient(DefaultSaveOrUpdateEventListener.java:177) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate(DefaultSaveOrUpdateEventListener.java:97) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate(DefaultSaveOrUpdateEventListener.java:73) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.internal.SessionImpl.fireSaveOrUpdate(SessionImpl.java:682) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.hibernate.internal.SessionImpl.saveOrUpdate(SessionImpl.java:674) ~[hibernate-core-5.4.2.Final.jar:5.4.2.Final]
    at org.openbravo.dal.core.SessionHandler.save(SessionHandler.java:438) ~[classes/:?]
    at org.openbravo.dal.service.OBDal.save(OBDal.java:309) ~[classes/:?]
    at org.openbravo.retail.posterminal.ProcessCashClose.createSafeBoxTransactions(ProcessCashClose.java:273) ~[classes/:?]
    at org.openbravo.retail.posterminal.ProcessCashClose.saveRecord(ProcessCashClose.java:115) ~[classes/:?]
    at org.openbravo.mobile.core.process.DataSynchronizationProcess.saveRecord(DataSynchronizationProcess.java:201) [classes/:?]
    at org.openbravo.mobile.core.process.DataSynchronizationProcess.exec(DataSynchronizationProcess.java:156) [classes/:?]
    at org.openbravo.retail.posterminal.SaveDataActionHandler.execute(SaveDataActionHandler.java:91) [classes/:?]
    at org.openbravo.client.kernel.BaseActionHandler.execute(BaseActionHandler.java:74) [classes/:?]
    at org.openbravo.retail.posterminal.SaveDataActionHandler$Proxy$_$$_WeldClientProxy.execute(Unknown Source) [classes/:?]
    at org.openbravo.client.kernel.KernelServlet.processActionRequest(KernelServlet.java:317) [classes/:?]
    at org.openbravo.client.kernel.KernelServlet.doGet(KernelServlet.java:207) [classes/:?]
    at org.openbravo.client.kernel.KernelServlet.doPost(KernelServlet.java:289) [classes/:?]
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:660) [servlet-api.jar:?]
    at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:200) [openbravo-core.jar:?]
    at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:459) [classes/:?]
    at org.openbravo.client.kernel.BaseKernelServlet.callServiceInSuper(BaseKernelServlet.java:89) [classes/:?]
    at org.openbravo.client.kernel.BaseKernelServlet.service(BaseKernelServlet.java:60) [classes/:?]
    at org.openbravo.client.kernel.KernelServlet.service(KernelServlet.java:169) [classes/:?]
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:741) [servlet-api.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:231) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) [tomcat-websocket.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.openbravo.utils.SessionExpirationFilter.doFilter(SessionExpirationFilter.java:66) [openbravo-core.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.openbravo.utils.CharsetFilter.doFilter(CharsetFilter.java:38) [openbravo-core.jar:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.openbravo.client.kernel.KernelFilter$1.doAction(KernelFilter.java:65) [classes/:?]
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:47) [classes/:?]
    at org.openbravo.client.kernel.KernelFilter.doFilter(KernelFilter.java:74) [classes/:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.openbravo.dal.core.DalRequestFilter$1.doAction(DalRequestFilter.java:96) [classes/:?]
    at org.openbravo.dal.core.ThreadHandler.run(ThreadHandler.java:47) [classes/:?]
    at org.openbravo.dal.core.DalRequestFilter.doFilter(DalRequestFilter.java:118) [classes/:?]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.apache.logging.log4j.web.Log4jServletFilter.doFilter(Log4jServletFilter.java:71) [log4j-web-2.11.1.jar:2.11.1]
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:193) [catalina.jar:8.5.47]
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:166) [catalina.jar:8.5.47]
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:199) [catalina.jar:8.5.47]
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) [catalina.jar:8.5.47]
    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:528) [catalina.jar:8.5.47]
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:139) [catalina.jar:8.5.47]
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:81) [catalina.jar:8.5.47]
    at org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:678) [catalina.jar:8.5.47]
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) [catalina.jar:8.5.47]
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:343) [catalina.jar:8.5.47]
    at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:798) [tomcat-coyote.jar:8.5.47]
    at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) [tomcat-coyote.jar:8.5.47]
    at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:810) [tomcat-coyote.jar:8.5.47]
    at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1500) [tomcat-coyote.jar:8.5.47]
    at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) [tomcat-coyote.jar:8.5.47]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_265]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_265]
    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) [tomcat-util.jar:8.5.47]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_265]


Steps To Reproduce- Force an error of a cashup of a safe box (for example by setting a wrong configuration)
- Correct the error
- Go to "Errors while importing" and reprocess the error
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123333)
hgbot (developer)
2020-09-24 08:00

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/107 [^]
(0123355)
hgbot (developer)
2020-09-24 16:11

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: b0a4057f80e84624e4dd983ace87f70f374137e7
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-24T13:25:32+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/b0a4057f80e84624e4dd983ace87f70f374137e7 [^]

Fixed ISSUE-45035: Added Terminal Organization to Cashup data
* When processing Cashup, terminal org is used to update the User context information

---
M src/org/openbravo/retail/posterminal/master/Cashup.java
M web/org.openbravo.retail.posterminal/app/model/business-object/cashup/CashupUtils.js
M web/org.openbravo.retail.posterminal/app/model/business-object/cashup/actions/InitCashup.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0123356)
hgbot (developer)
2020-09-24 16:11

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/107 [^]

- Issue History
Date Modified Username Field Change
2020-09-11 11:17 javietxe New Issue
2020-09-11 11:17 javietxe Assigned To => Retail
2020-09-11 11:17 javietxe Triggers an Emergency Pack => No
2020-09-21 06:55 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-24 07:59 ranjith_qualiantech_com Status new => scheduled
2020-09-24 08:00 hgbot Note Added: 0123333
2020-09-24 16:11 hgbot Resolution open => fixed
2020-09-24 16:11 hgbot Status scheduled => closed
2020-09-24 16:11 hgbot Fixed in Version => RR20Q4
2020-09-24 16:11 hgbot Note Added: 0123355
2020-09-24 16:11 hgbot Note Added: 0123356


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker